curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/providers/conn-uuid-1/sync" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": {
"queued": true,
"queued_at": "2024-01-15T19:30:00Z"
}
}
Provider Connections
Trigger Provider Sync
Trigger a one-off sync against a single provider connection
POST
/
api
/
v1
/
calendars
/
{calendar_id}
/
providers
/
{provider_id}
/
sync
curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/providers/conn-uuid-1/sync" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": {
"queued": true,
"queued_at": "2024-01-15T19:30:00Z"
}
}
Trigger Provider Sync
Trigger a sync against a specific provider connection. Useful when you want to refresh a single provider without syncing all calendars (which is what Trigger Calendars Sync does).Endpoint
POST /api/v1/calendars/{calendar_id}/providers/{provider_id}/sync
Path parameters
string
required
Calendar UUID.
string
required
Provider connection UUID.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_hereExamples
curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/providers/conn-uuid-1/sync" \
-H "Authorization: Bearer talq_your_environment_token_here"
Response
{
"success": true,
"data": {
"queued": true,
"queued_at": "2024-01-15T19:30:00Z"
}
}
Was this page helpful?